# Makefile.in generated automatically by automake 1.4-p6 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = @host_alias@
host_triplet = @host@
AR = @AR@
AS = @AS@
ASFLAGS = @ASFLAGS@
CC = @CC@
CXX = @CXX@
CXXCPP = @CXXCPP@
DATADIR = @DATADIR@
DFB_CFLAGS_OMIT_FRAME_POINTER = @DFB_CFLAGS_OMIT_FRAME_POINTER@
DFB_INTERNAL_CFLAGS = @DFB_INTERNAL_CFLAGS@
DFB_LDFLAGS = @DFB_LDFLAGS@
DIRECTFB_BINARY_AGE = @DIRECTFB_BINARY_AGE@
DIRECTFB_CSOURCE = @DIRECTFB_CSOURCE@
DIRECTFB_INTERFACE_AGE = @DIRECTFB_INTERFACE_AGE@
DIRECTFB_MAJOR_VERSION = @DIRECTFB_MAJOR_VERSION@
DIRECTFB_MICRO_VERSION = @DIRECTFB_MICRO_VERSION@
DIRECTFB_MINOR_VERSION = @DIRECTFB_MINOR_VERSION@
DIRECTFB_VERSION = @DIRECTFB_VERSION@
DIRECT_BUILD_DEBUG = @DIRECT_BUILD_DEBUG@
DIRECT_BUILD_DEBUGS = @DIRECT_BUILD_DEBUGS@
DIRECT_BUILD_GETTID = @DIRECT_BUILD_GETTID@
DIRECT_BUILD_TEXT = @DIRECT_BUILD_TEXT@
DIRECT_BUILD_TRACE = @DIRECT_BUILD_TRACE@
DLLTOOL = @DLLTOOL@
DYNLIB = @DYNLIB@
ECHO = @ECHO@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FREETYPE_CFLAGS = @FREETYPE_CFLAGS@
FREETYPE_CONFIG = @FREETYPE_CONFIG@
FREETYPE_LIBS = @FREETYPE_LIBS@
FREETYPE_PROVIDER = @FREETYPE_PROVIDER@
FUSION_BUILD_MULTI = @FUSION_BUILD_MULTI@
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
GIF_PROVIDER = @GIF_PROVIDER@
HAVE_LIB = @HAVE_LIB@
HAVE_LINUX = @HAVE_LINUX@
INCLUDEDIR = @INCLUDEDIR@
INTERNALINCLUDEDIR = @INTERNALINCLUDEDIR@
JPEG_PROVIDER = @JPEG_PROVIDER@
LIB = @LIB@
LIBJPEG = @LIBJPEG@
LIBPNG = @LIBPNG@
LIBTOOL = @LIBTOOL@
LN_S = @LN_S@
LTLIB = @LTLIB@
LT_AGE = @LT_AGE@
LT_CURRENT = @LT_CURRENT@
LT_RELEASE = @LT_RELEASE@
LT_REVISION = @LT_REVISION@
MAINT = @MAINT@
MAKEINFO = @MAKEINFO@
MAN2HTML = @MAN2HTML@
MODULEDIR = @MODULEDIR@
MODULEDIRNAME = @MODULEDIRNAME@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
OSX_LIBS = @OSX_LIBS@
PACKAGE = @PACKAGE@
PERL = @PERL@
PNG_PROVIDER = @PNG_PROVIDER@
RANLIB = @RANLIB@
RC = @RC@
RUNTIME_SYSROOT = @RUNTIME_SYSROOT@
SDL_CFLAGS = @SDL_CFLAGS@
SDL_CONFIG = @SDL_CONFIG@
SDL_LIBS = @SDL_LIBS@
SOPATH = @SOPATH@
STRIP = @STRIP@
SYSFS_LIBS = @SYSFS_LIBS@
THREADFLAGS = @THREADFLAGS@
THREADLIB = @THREADLIB@
VERSION = @VERSION@
VNC_CFLAGS = @VNC_CFLAGS@
VNC_CONFIG = @VNC_CONFIG@
VNC_LIBS = @VNC_LIBS@
X11_CFLAGS = @X11_CFLAGS@
X11_LIBS = @X11_LIBS@
ZLIB_LIBS = @ZLIB_LIBS@

INCLUDES =  	-I$(top_builddir)/lib 	-I$(top_builddir)/include 	-I$(top_srcdir)/include		-I$(top_srcdir)/lib		-I$(top_srcdir)/src


@BUILD_DIRECTFB_CSOURCE_TRUE@DFB_CSOURCE = directfb-csource

@BUILD_DIRECTFB_CSOURCE_TRUE@directfb_csource_SOURCES = directfb-csource.c
@BUILD_DIRECTFB_CSOURCE_TRUE@directfb_csource_LDADD = $(LIBPNG)

@HAVE_LINUX_TRUE@LINUXONLY_TOOLS = 	fusion_bench		raw15toraw24		raw16toraw24		raw32toraw24

@ENABLE_VOODOO_TRUE@VOODOO_PROGS = dfbproxy

bin_PROGRAMS = $(DFB_CSOURCE) dfbdump dfbg dfbinfo dfbinput dfblayer dfbscreen dfbsummon dfbpenmount $(VOODOO_PROGS)

noinst_PROGRAMS =  	$(LINUXONLY_TOOLS)


dfbdump_SOURCES = dfbdump.c
dfbdump_LDADD = ../src/libdirectfb.la ../lib/fusion/libfusion.la ../lib/direct/libdirect.la

dfbg_SOURCES = dfbg.c
dfbg_LDADD = ../src/libdirectfb.la ../lib/fusion/libfusion.la ../lib/direct/libdirect.la $(OSX_LIBS)

dfbinfo_SOURCES = dfbinfo.c
dfbinfo_LDADD = ../src/libdirectfb.la ../lib/fusion/libfusion.la ../lib/direct/libdirect.la $(OSX_LIBS)

dfbinput_SOURCES = dfbinput.c
dfbinput_LDADD = ../src/libdirectfb.la ../lib/fusion/libfusion.la ../lib/direct/libdirect.la $(OSX_LIBS)

dfblayer_SOURCES = dfblayer.c
dfblayer_LDADD = ../src/libdirectfb.la ../lib/fusion/libfusion.la ../lib/direct/libdirect.la $(OSX_LIBS)

dfbproxy_SOURCES = dfbproxy.c
dfbproxy_LDADD = ../src/libdirectfb.la ../lib/fusion/libfusion.la ../lib/direct/libdirect.la ../lib/voodoo/libvoodoo.la

dfbscreen_SOURCES = dfbscreen.c
dfbscreen_LDADD = ../src/libdirectfb.la ../lib/fusion/libfusion.la ../lib/direct/libdirect.la $(OSX_LIBS)

dfbsummon_SOURCES = dfbsummon.c
dfbsummon_LDADD = ../src/libdirectfb.la ../lib/fusion/libfusion.la ../lib/direct/libdirect.la

dfbpenmount_SOURCES = dfbpenmount.c
dfbpenmount_LDADD = ../src/libdirectfb.la ../lib/fusion/libfusion.la ../lib/direct/libdirect.la

fusion_bench_SOURCES = fusion_bench.c
fusion_bench_LDADD = ../src/libdirectfb.la ../lib/fusion/libfusion.la ../lib/direct/libdirect.la

raw15toraw24_SOURCES = raw15toraw24.c

raw16toraw24_SOURCES = raw16toraw24.c

raw32toraw24_SOURCES = raw32toraw24.c

EXTRA_DIST =  	README				gendoc.pl

mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
@ENABLE_VOODOO_TRUE@@BUILD_DIRECTFB_CSOURCE_TRUE@bin_PROGRAMS =  \
@ENABLE_VOODOO_TRUE@@BUILD_DIRECTFB_CSOURCE_TRUE@directfb-csource$(EXEEXT) \
@ENABLE_VOODOO_TRUE@@BUILD_DIRECTFB_CSOURCE_TRUE@dfbdump$(EXEEXT) \
@ENABLE_VOODOO_TRUE@@BUILD_DIRECTFB_CSOURCE_TRUE@dfbg$(EXEEXT) \
@ENABLE_VOODOO_TRUE@@BUILD_DIRECTFB_CSOURCE_TRUE@dfbinfo$(EXEEXT) \
@ENABLE_VOODOO_TRUE@@BUILD_DIRECTFB_CSOURCE_TRUE@dfbinput$(EXEEXT) \
@ENABLE_VOODOO_TRUE@@BUILD_DIRECTFB_CSOURCE_TRUE@dfblayer$(EXEEXT) \
@ENABLE_VOODOO_TRUE@@BUILD_DIRECTFB_CSOURCE_TRUE@dfbscreen$(EXEEXT) \
@ENABLE_VOODOO_TRUE@@BUILD_DIRECTFB_CSOURCE_TRUE@dfbsummon$(EXEEXT) \
@ENABLE_VOODOO_TRUE@@BUILD_DIRECTFB_CSOURCE_TRUE@dfbpenmount$(EXEEXT) \
@ENABLE_VOODOO_TRUE@@BUILD_DIRECTFB_CSOURCE_TRUE@dfbproxy$(EXEEXT)
@ENABLE_VOODOO_TRUE@@BUILD_DIRECTFB_CSOURCE_FALSE@bin_PROGRAMS =  \
@ENABLE_VOODOO_TRUE@@BUILD_DIRECTFB_CSOURCE_FALSE@dfbdump$(EXEEXT) \
@ENABLE_VOODOO_TRUE@@BUILD_DIRECTFB_CSOURCE_FALSE@dfbg$(EXEEXT) \
@ENABLE_VOODOO_TRUE@@BUILD_DIRECTFB_CSOURCE_FALSE@dfbinfo$(EXEEXT) \
@ENABLE_VOODOO_TRUE@@BUILD_DIRECTFB_CSOURCE_FALSE@dfbinput$(EXEEXT) \
@ENABLE_VOODOO_TRUE@@BUILD_DIRECTFB_CSOURCE_FALSE@dfblayer$(EXEEXT) \
@ENABLE_VOODOO_TRUE@@BUILD_DIRECTFB_CSOURCE_FALSE@dfbscreen$(EXEEXT) \
@ENABLE_VOODOO_TRUE@@BUILD_DIRECTFB_CSOURCE_FALSE@dfbsummon$(EXEEXT) \
@ENABLE_VOODOO_TRUE@@BUILD_DIRECTFB_CSOURCE_FALSE@dfbpenmount$(EXEEXT) \
@ENABLE_VOODOO_TRUE@@BUILD_DIRECTFB_CSOURCE_FALSE@dfbproxy$(EXEEXT)
@ENABLE_VOODOO_FALSE@@BUILD_DIRECTFB_CSOURCE_FALSE@bin_PROGRAMS =  \
@ENABLE_VOODOO_FALSE@@BUILD_DIRECTFB_CSOURCE_FALSE@dfbdump$(EXEEXT) \
@ENABLE_VOODOO_FALSE@@BUILD_DIRECTFB_CSOURCE_FALSE@dfbg$(EXEEXT) \
@ENABLE_VOODOO_FALSE@@BUILD_DIRECTFB_CSOURCE_FALSE@dfbinfo$(EXEEXT) \
@ENABLE_VOODOO_FALSE@@BUILD_DIRECTFB_CSOURCE_FALSE@dfbinput$(EXEEXT) \
@ENABLE_VOODOO_FALSE@@BUILD_DIRECTFB_CSOURCE_FALSE@dfblayer$(EXEEXT) \
@ENABLE_VOODOO_FALSE@@BUILD_DIRECTFB_CSOURCE_FALSE@dfbscreen$(EXEEXT) \
@ENABLE_VOODOO_FALSE@@BUILD_DIRECTFB_CSOURCE_FALSE@dfbsummon$(EXEEXT) \
@ENABLE_VOODOO_FALSE@@BUILD_DIRECTFB_CSOURCE_FALSE@dfbpenmount$(EXEEXT)
@ENABLE_VOODOO_FALSE@@BUILD_DIRECTFB_CSOURCE_TRUE@bin_PROGRAMS =  \
@ENABLE_VOODOO_FALSE@@BUILD_DIRECTFB_CSOURCE_TRUE@directfb-csource$(EXEEXT) \
@ENABLE_VOODOO_FALSE@@BUILD_DIRECTFB_CSOURCE_TRUE@dfbdump$(EXEEXT) \
@ENABLE_VOODOO_FALSE@@BUILD_DIRECTFB_CSOURCE_TRUE@dfbg$(EXEEXT) \
@ENABLE_VOODOO_FALSE@@BUILD_DIRECTFB_CSOURCE_TRUE@dfbinfo$(EXEEXT) \
@ENABLE_VOODOO_FALSE@@BUILD_DIRECTFB_CSOURCE_TRUE@dfbinput$(EXEEXT) \
@ENABLE_VOODOO_FALSE@@BUILD_DIRECTFB_CSOURCE_TRUE@dfblayer$(EXEEXT) \
@ENABLE_VOODOO_FALSE@@BUILD_DIRECTFB_CSOURCE_TRUE@dfbscreen$(EXEEXT) \
@ENABLE_VOODOO_FALSE@@BUILD_DIRECTFB_CSOURCE_TRUE@dfbsummon$(EXEEXT) \
@ENABLE_VOODOO_FALSE@@BUILD_DIRECTFB_CSOURCE_TRUE@dfbpenmount$(EXEEXT)
@HAVE_LINUX_TRUE@noinst_PROGRAMS =  fusion_bench$(EXEEXT) \
@HAVE_LINUX_TRUE@raw15toraw24$(EXEEXT) raw16toraw24$(EXEEXT) \
@HAVE_LINUX_TRUE@raw32toraw24$(EXEEXT)
@HAVE_LINUX_FALSE@noinst_PROGRAMS = 
PROGRAMS =  $(bin_PROGRAMS) $(noinst_PROGRAMS)


DEFS = @DEFS@ -I. -I$(srcdir) -I..
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
@BUILD_DIRECTFB_CSOURCE_TRUE@directfb_csource_OBJECTS =  \
@BUILD_DIRECTFB_CSOURCE_TRUE@directfb-csource.$(OBJEXT)
@BUILD_DIRECTFB_CSOURCE_TRUE@directfb_csource_DEPENDENCIES = 
directfb_csource_LDFLAGS = 
dfbdump_OBJECTS =  dfbdump.$(OBJEXT)
dfbdump_DEPENDENCIES =  ../src/libdirectfb.la ../lib/fusion/libfusion.la \
../lib/direct/libdirect.la
dfbdump_LDFLAGS = 
dfbg_OBJECTS =  dfbg.$(OBJEXT)
dfbg_DEPENDENCIES =  ../src/libdirectfb.la ../lib/fusion/libfusion.la \
../lib/direct/libdirect.la
dfbg_LDFLAGS = 
dfbinfo_OBJECTS =  dfbinfo.$(OBJEXT)
dfbinfo_DEPENDENCIES =  ../src/libdirectfb.la ../lib/fusion/libfusion.la \
../lib/direct/libdirect.la
dfbinfo_LDFLAGS = 
dfbinput_OBJECTS =  dfbinput.$(OBJEXT)
dfbinput_DEPENDENCIES =  ../src/libdirectfb.la \
../lib/fusion/libfusion.la ../lib/direct/libdirect.la
dfbinput_LDFLAGS = 
dfblayer_OBJECTS =  dfblayer.$(OBJEXT)
dfblayer_DEPENDENCIES =  ../src/libdirectfb.la \
../lib/fusion/libfusion.la ../lib/direct/libdirect.la
dfblayer_LDFLAGS = 
dfbscreen_OBJECTS =  dfbscreen.$(OBJEXT)
dfbscreen_DEPENDENCIES =  ../src/libdirectfb.la \
../lib/fusion/libfusion.la ../lib/direct/libdirect.la
dfbscreen_LDFLAGS = 
dfbsummon_OBJECTS =  dfbsummon.$(OBJEXT)
dfbsummon_DEPENDENCIES =  ../src/libdirectfb.la \
../lib/fusion/libfusion.la ../lib/direct/libdirect.la
dfbsummon_LDFLAGS = 
dfbpenmount_OBJECTS =  dfbpenmount.$(OBJEXT)
dfbpenmount_DEPENDENCIES =  ../src/libdirectfb.la \
../lib/fusion/libfusion.la ../lib/direct/libdirect.la
dfbpenmount_LDFLAGS = 
dfbproxy_OBJECTS =  dfbproxy.$(OBJEXT)
dfbproxy_DEPENDENCIES =  ../src/libdirectfb.la \
../lib/fusion/libfusion.la ../lib/direct/libdirect.la \
../lib/voodoo/libvoodoo.la
dfbproxy_LDFLAGS = 
fusion_bench_OBJECTS =  fusion_bench.$(OBJEXT)
fusion_bench_DEPENDENCIES =  ../src/libdirectfb.la \
../lib/fusion/libfusion.la ../lib/direct/libdirect.la
fusion_bench_LDFLAGS = 
raw15toraw24_OBJECTS =  raw15toraw24.$(OBJEXT)
raw15toraw24_LDADD = $(LDADD)
raw15toraw24_DEPENDENCIES = 
raw15toraw24_LDFLAGS = 
raw16toraw24_OBJECTS =  raw16toraw24.$(OBJEXT)
raw16toraw24_LDADD = $(LDADD)
raw16toraw24_DEPENDENCIES = 
raw16toraw24_LDFLAGS = 
raw32toraw24_OBJECTS =  raw32toraw24.$(OBJEXT)
raw32toraw24_LDADD = $(LDADD)
raw32toraw24_DEPENDENCIES = 
raw32toraw24_LDFLAGS = 
CFLAGS = @CFLAGS@
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  README Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
SOURCES = $(directfb_csource_SOURCES) $(dfbdump_SOURCES) $(dfbg_SOURCES) $(dfbinfo_SOURCES) $(dfbinput_SOURCES) $(dfblayer_SOURCES) $(dfbscreen_SOURCES) $(dfbsummon_SOURCES) $(dfbpenmount_SOURCES) $(dfbproxy_SOURCES) $(fusion_bench_SOURCES) $(raw15toraw24_SOURCES) $(raw16toraw24_SOURCES) $(raw32toraw24_SOURCES)
OBJECTS = $(directfb_csource_OBJECTS) $(dfbdump_OBJECTS) $(dfbg_OBJECTS) $(dfbinfo_OBJECTS) $(dfbinput_OBJECTS) $(dfblayer_OBJECTS) $(dfbscreen_OBJECTS) $(dfbsummon_OBJECTS) $(dfbpenmount_OBJECTS) $(dfbproxy_OBJECTS) $(fusion_bench_OBJECTS) $(raw15toraw24_OBJECTS) $(raw16toraw24_OBJECTS) $(raw32toraw24_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .lo .o .obj .s
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps tools/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo " $(LIBTOOL)  --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
	    $(LIBTOOL)  --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	done

mostlyclean-noinstPROGRAMS:

clean-noinstPROGRAMS:
	-test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)

distclean-noinstPROGRAMS:

maintainer-clean-noinstPROGRAMS:

.c.o:
	$(COMPILE) -c $<

# FIXME: We should only use cygpath when building on Windows,
# and only if it is available.
.c.obj:
	$(COMPILE) -c `cygpath -w $<`

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core
	-rm -f *.$(OBJEXT)

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

.c.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.s.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.S.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:

maintainer-clean-libtool:

directfb-csource$(EXEEXT): $(directfb_csource_OBJECTS) $(directfb_csource_DEPENDENCIES)
	@rm -f directfb-csource$(EXEEXT)
	$(LINK) $(directfb_csource_LDFLAGS) $(directfb_csource_OBJECTS) $(directfb_csource_LDADD) $(LIBS)

dfbdump$(EXEEXT): $(dfbdump_OBJECTS) $(dfbdump_DEPENDENCIES)
	@rm -f dfbdump$(EXEEXT)
	$(LINK) $(dfbdump_LDFLAGS) $(dfbdump_OBJECTS) $(dfbdump_LDADD) $(LIBS)

dfbg$(EXEEXT): $(dfbg_OBJECTS) $(dfbg_DEPENDENCIES)
	@rm -f dfbg$(EXEEXT)
	$(LINK) $(dfbg_LDFLAGS) $(dfbg_OBJECTS) $(dfbg_LDADD) $(LIBS)

dfbinfo$(EXEEXT): $(dfbinfo_OBJECTS) $(dfbinfo_DEPENDENCIES)
	@rm -f dfbinfo$(EXEEXT)
	$(LINK) $(dfbinfo_LDFLAGS) $(dfbinfo_OBJECTS) $(dfbinfo_LDADD) $(LIBS)

dfbinput$(EXEEXT): $(dfbinput_OBJECTS) $(dfbinput_DEPENDENCIES)
	@rm -f dfbinput$(EXEEXT)
	$(LINK) $(dfbinput_LDFLAGS) $(dfbinput_OBJECTS) $(dfbinput_LDADD) $(LIBS)

dfblayer$(EXEEXT): $(dfblayer_OBJECTS) $(dfblayer_DEPENDENCIES)
	@rm -f dfblayer$(EXEEXT)
	$(LINK) $(dfblayer_LDFLAGS) $(dfblayer_OBJECTS) $(dfblayer_LDADD) $(LIBS)

dfbscreen$(EXEEXT): $(dfbscreen_OBJECTS) $(dfbscreen_DEPENDENCIES)
	@rm -f dfbscreen$(EXEEXT)
	$(LINK) $(dfbscreen_LDFLAGS) $(dfbscreen_OBJECTS) $(dfbscreen_LDADD) $(LIBS)

dfbsummon$(EXEEXT): $(dfbsummon_OBJECTS) $(dfbsummon_DEPENDENCIES)
	@rm -f dfbsummon$(EXEEXT)
	$(LINK) $(dfbsummon_LDFLAGS) $(dfbsummon_OBJECTS) $(dfbsummon_LDADD) $(LIBS)

dfbpenmount$(EXEEXT): $(dfbpenmount_OBJECTS) $(dfbpenmount_DEPENDENCIES)
	@rm -f dfbpenmount$(EXEEXT)
	$(LINK) $(dfbpenmount_LDFLAGS) $(dfbpenmount_OBJECTS) $(dfbpenmount_LDADD) $(LIBS)

dfbproxy$(EXEEXT): $(dfbproxy_OBJECTS) $(dfbproxy_DEPENDENCIES)
	@rm -f dfbproxy$(EXEEXT)
	$(LINK) $(dfbproxy_LDFLAGS) $(dfbproxy_OBJECTS) $(dfbproxy_LDADD) $(LIBS)

fusion_bench$(EXEEXT): $(fusion_bench_OBJECTS) $(fusion_bench_DEPENDENCIES)
	@rm -f fusion_bench$(EXEEXT)
	$(LINK) $(fusion_bench_LDFLAGS) $(fusion_bench_OBJECTS) $(fusion_bench_LDADD) $(LIBS)

raw15toraw24$(EXEEXT): $(raw15toraw24_OBJECTS) $(raw15toraw24_DEPENDENCIES)
	@rm -f raw15toraw24$(EXEEXT)
	$(LINK) $(raw15toraw24_LDFLAGS) $(raw15toraw24_OBJECTS) $(raw15toraw24_LDADD) $(LIBS)

raw16toraw24$(EXEEXT): $(raw16toraw24_OBJECTS) $(raw16toraw24_DEPENDENCIES)
	@rm -f raw16toraw24$(EXEEXT)
	$(LINK) $(raw16toraw24_LDFLAGS) $(raw16toraw24_OBJECTS) $(raw16toraw24_LDADD) $(LIBS)

raw32toraw24$(EXEEXT): $(raw32toraw24_OBJECTS) $(raw32toraw24_DEPENDENCIES)
	@rm -f raw32toraw24$(EXEEXT)
	$(LINK) $(raw32toraw24_LDFLAGS) $(raw32toraw24_OBJECTS) $(raw32toraw24_LDADD) $(LIBS)

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags -o $$here/TAGS $(ETAGS_ARGS) $$tags  $$unique $(LISP))

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = tools

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
dfbdump.o: dfbdump.c ../include/directfb.h ../include/dfb_types.h \
	../include/directfb_keyboard.h ../include/directfb_strings.h \
	../lib/direct/clock.h ../lib/direct/debug.h \
	../lib/direct/build.h ../lib/direct/conf.h \
	../lib/direct/types.h ../lib/direct/log.h \
	../lib/direct/messages.h ../lib/direct/system.h \
	../lib/direct/util.h ../lib/fusion/build.h \
	../lib/fusion/fusion.h ../lib/fusion/types.h \
	../lib/fusion/object.h ../lib/fusion/lock.h \
	../lib/direct/list.h ../lib/fusion/ref.h ../lib/fusion/call.h \
	../lib/fusion/reactor.h ../lib/fusion/shmalloc.h \
	../lib/fusion/shm/pool.h ../lib/fusion/shm/shm_internal.h \
	../src/core/core.h ../src/core/coretypes.h \
	../src/core/coredefs.h ../src/core/layer_control.h \
	../src/core/coretypes.h ../src/core/layer_context.h \
	../src/core/layers.h ../src/core/layers_internal.h \
	../src/core/coredefs.h ../lib/fusion/property.h \
	../lib/fusion/vector.h ../src/core/layer_region.h \
	../src/core/state.h ../lib/direct/serial.h \
	../src/core/gfxcard.h ../lib/direct/modules.h \
	../src/gfx/generic/generic.h ../src/misc/util.h \
	../include/directfb_util.h ../src/core/surfaces.h \
	../src/core/windows.h ../src/core/windowstack.h \
	../src/core/windows_internal.h ../src/core/wm.h
dfbg.o: dfbg.c ../config.h ../include/directfb.h ../include/dfb_types.h \
	../include/directfb_keyboard.h
dfbinfo.o: dfbinfo.c ../config.h ../include/directfb.h \
	../include/dfb_types.h ../include/directfb_keyboard.h \
	../include/directfb_strings.h
dfbinput.o: dfbinput.c ../config.h ../lib/direct/messages.h \
	../lib/direct/build.h ../lib/direct/conf.h \
	../lib/direct/types.h ../include/dfb_types.h \
	../include/directfb.h ../include/directfb_keyboard.h \
	../lib/direct/util.h ../src/core/input.h \
	../lib/direct/modules.h ../lib/direct/list.h \
	../lib/direct/debug.h ../lib/direct/log.h \
	../lib/direct/system.h ../lib/fusion/reactor.h \
	../lib/fusion/types.h ../lib/fusion/build.h \
	../lib/fusion/lock.h ../src/core/coretypes.h \
	../include/directfb_keynames.h ../include/directfb_strings.h
dfblayer.o: dfblayer.c ../config.h ../include/directfb.h \
	../include/dfb_types.h ../include/directfb_keyboard.h \
	../include/directfb_strings.h
dfbpenmount.o: dfbpenmount.c ../include/directfb.h \
	../include/dfb_types.h ../include/directfb_keyboard.h
dfbproxy.o: dfbproxy.c ../config.h ../include/directfb.h \
	../include/dfb_types.h ../include/directfb_keyboard.h \
	../lib/direct/debug.h ../lib/direct/build.h \
	../lib/direct/conf.h ../lib/direct/types.h ../lib/direct/log.h \
	../lib/direct/messages.h ../lib/direct/system.h \
	../lib/direct/util.h ../lib/direct/interface.h \
	../lib/direct/mem.h ../lib/voodoo/server.h \
	../lib/voodoo/types.h
dfbscreen.o: dfbscreen.c ../config.h ../lib/direct/messages.h \
	../lib/direct/build.h ../lib/direct/conf.h \
	../lib/direct/types.h ../include/dfb_types.h \
	../include/directfb.h ../include/directfb_keyboard.h \
	../lib/direct/util.h ../include/directfb_strings.h
dfbsummon.o: dfbsummon.c ../include/directfb.h ../include/dfb_types.h \
	../include/directfb_keyboard.h ../src/core/gfxcard.h \
	../lib/direct/modules.h ../lib/direct/types.h \
	../lib/direct/list.h ../lib/direct/debug.h \
	../lib/direct/build.h ../lib/direct/conf.h ../lib/direct/log.h \
	../lib/direct/messages.h ../lib/direct/system.h \
	../lib/direct/util.h ../lib/fusion/lock.h ../lib/fusion/types.h \
	../lib/fusion/build.h ../src/core/coretypes.h \
	../src/core/surfaces.h ../lib/direct/serial.h \
	../lib/fusion/object.h ../lib/fusion/ref.h ../lib/fusion/call.h \
	../lib/fusion/reactor.h ../src/core/coredefs.h \
	../src/core/surfacemanager.h ../src/core/core.h \
	../src/core/coretypes.h ../src/core/coredefs.h
directfb-csource.o: directfb-csource.c ../config.h ../include/directfb.h \
	../include/dfb_types.h ../include/directfb_keyboard.h \
	../lib/direct/types.h ../lib/direct/util.h \
	../lib/direct/messages.h ../lib/direct/build.h \
	../lib/direct/conf.h ../src/gfx/convert.h
fusion_bench.o: fusion_bench.c ../config.h ../lib/direct/clock.h \
	../lib/fusion/build.h ../lib/fusion/fusion.h \
	../lib/fusion/types.h ../lib/direct/types.h \
	../include/dfb_types.h ../include/directfb.h \
	../include/directfb_keyboard.h ../lib/fusion/lock.h \
	../lib/direct/messages.h ../lib/direct/build.h \
	../lib/direct/conf.h ../lib/fusion/property.h \
	../lib/fusion/reactor.h ../lib/direct/list.h \
	../lib/direct/debug.h ../lib/direct/log.h \
	../lib/direct/system.h ../lib/direct/util.h ../lib/fusion/ref.h \
	../lib/fusion/call.h ../lib/fusion/shmalloc.h \
	../lib/fusion/shm/pool.h ../src/core/system.h \
	../src/core/coretypes.h ../lib/direct/modules.h
fx.o: fx.c ../config.h ../include/directfb.h ../include/dfb_types.h \
	../include/directfb_keyboard.h ../src/core/state.h \
	../lib/direct/serial.h ../lib/direct/types.h \
	../lib/direct/debug.h ../lib/direct/build.h \
	../lib/direct/conf.h ../lib/direct/log.h \
	../lib/direct/messages.h ../lib/direct/system.h \
	../lib/direct/util.h ../lib/fusion/reactor.h \
	../lib/direct/list.h ../lib/fusion/types.h \
	../lib/fusion/build.h ../lib/fusion/lock.h \
	../src/core/coredefs.h ../src/core/coretypes.h \
	../src/core/gfxcard.h ../lib/direct/modules.h \
	../src/gfx/generic/generic.h ../src/misc/util.h \
	../include/directfb_util.h ../src/gfx/convert.h
raw15toraw24.o: raw15toraw24.c ../config.h
raw16toraw24.o: raw16toraw24.c ../config.h
raw32toraw24.o: raw32toraw24.c ../config.h ../include/dfb_types.h

info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am: install-binPROGRAMS
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-binPROGRAMS
uninstall: uninstall-am
all-am: Makefile $(PROGRAMS)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(bindir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-binPROGRAMS mostlyclean-noinstPROGRAMS \
		mostlyclean-compile mostlyclean-libtool \
		mostlyclean-tags mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-binPROGRAMS clean-noinstPROGRAMS clean-compile \
		clean-libtool clean-tags clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-binPROGRAMS distclean-noinstPROGRAMS \
		distclean-compile distclean-libtool distclean-tags \
		distclean-generic clean-am
	-rm -f libtool

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-binPROGRAMS \
		maintainer-clean-noinstPROGRAMS \
		maintainer-clean-compile maintainer-clean-libtool \
		maintainer-clean-tags maintainer-clean-generic \
		distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-binPROGRAMS distclean-binPROGRAMS clean-binPROGRAMS \
maintainer-clean-binPROGRAMS uninstall-binPROGRAMS install-binPROGRAMS \
mostlyclean-noinstPROGRAMS distclean-noinstPROGRAMS \
clean-noinstPROGRAMS maintainer-clean-noinstPROGRAMS \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile mostlyclean-libtool distclean-libtool \
clean-libtool maintainer-clean-libtool tags mostlyclean-tags \
distclean-tags clean-tags maintainer-clean-tags distdir info-am info \
dvi-am dvi check check-am installcheck-am installcheck install-exec-am \
install-exec install-data-am install-data install-am install \
uninstall-am uninstall all-redirect all-am all installdirs \
mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
